## org.biojava.bio.program.gff
Class GFFRecordFilter.SourceFilter

    java.lang.Object
      |
      +--org.biojava.bio.program.gff.GFFRecordFilter.SourceFilter

Enclosing class:
  GFFRecordFilter

public static class GFFRecordFilter.SourceFilter
extends java.lang.Object
implements GFFRecordFilter

Implementation of GFFRecordFilter that accepts records based upon the source field.

Author:
  Matthew Pocock

Inner classes inherited from class org.biojava.bio.program.gff.GFFRecordFilter
`GFFRecordFilter.AcceptAll, GFFRecordFilter.FeatureFilter, GFFRecordFilter.SequenceFilter, GFFRecordFilter.SourceFilter`

Fields inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`ACCEPT_ALL`

Constructor Summary
`GFFRecordFilter.SourceFilter()`

Method Summary
`boolean` `accept(GFFRecord record)` Return wether or not to accept record.
`java.lang.String` `getSource()` Retrieve the current source.
`void` `setSource(java.lang.String source)` Set the source to source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFRecordFilter.SourceFilter

    public GFFRecordFilter.SourceFilter()

Method Detail

### getSource

    public java.lang.String getSource()

  Retrieve the current source.
  Returns:
    the source String

### setSource

    public void setSource(java.lang.String source)

  Set the source to source.
  Parameters:
    `source` - the new source to match

### accept

    public boolean accept(GFFRecord record)

  Description copied from interface: GFFRecordFilter
  Return wether or not to accept record.
  Specified by:
    accept in interface GFFRecordFilter
  Returns:
    record. getSource`()` `==` this.getSource`()`